<?php

namespace App\Http\Requests;

use App\Models\Pouzivatel\PouzivatelStavEnum;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rules\Enum;

/**
 * Class PouzivatelUpdateRequest
 */
final class PouzivatelUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'stav' => [
                'required',
                new Enum(PouzivatelStavEnum::class),
            ],
        ];
    }
}
